## ros-kinetic-zeroconf-jmdns-suite 0.3.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(zeroconf_jmdns_suite)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED rosjava_build_tools)

catkin_rosjava_setup(publish installDist)

catkin_package()

##############################################################################
# Installation
##############################################################################

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/com/github/rosjava/${PROJECT_NAME}/ 
        DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/com/github/rosjava/${PROJECT_NAME})

=== debian/changelog ===
ros-kinetic-zeroconf-jmdns-suite (0.3.1-0xenial) xenial; urgency=high

  * Updating Gradle version to 4.10.2.
  * Fixing package name for jmdns package.
  * Fix for tutorial links and testing instructions.
  * Contributors: Daniel Stonier, Juan Ignacio Ubeira, Julian Cerruti

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 23 Jan 2019 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.3.0-0xenial) xenial; urgency=high

  * Updates for kinetic release.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 17 Dec 2016 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.2.1-0xenial) xenial; urgency=high

  * gradle 1.8 -> 2.2.1
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 25 Feb 2015 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.2.0-0xenial) xenial; urgency=high

  * First build on indigo

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 18 Feb 2015 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.13-0xenial) xenial; urgency=high

  * constrain open ranged dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 01 Nov 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.12-0xenial) xenial; urgency=high

  * use ROS_MAVEN_REPOSITORY

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 31 Oct 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.11-0xenial) xenial; urgency=high

  * official maven style open ended dependencies.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 25 Oct 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.10-0xenial) xenial; urgency=high

  * use updated ros gradle plugins with maven-publish for publishing.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 23 Sep 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.9-0xenial) xenial; urgency=high

  * removing osgi information.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Sep 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.8-0xenial) xenial; urgency=high

  * bugfix install rule target name.
  * depend on rosjava_bootstrap for gradle plugins.
  * gradle wrapper 1.7
  * use catkin package xml version information
  * gradled, maven'd, deb'd.
  * ros-java -> rosjava migration.
  * refactoring for unique java package names.
  * fix badly copied package name for jdmns tutorial.
  * catkinization using rosjava_tools
  * demos working with new gradle build.
  * cleared out non jmdns packages.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 17 Sep 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.7-0xenial) xenial; urgency=high

  * point at legacy rosinstallers.
  * using multiproject gradle now so we can add more projects here.
  * rosinstall file for rosjava.
  * bugfix for name in package.
  * readme added.
  * now building and installing with catkin.
  * first commit pulled in from kazuto's hg clone.
  * avahi and comms moved out.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 29 Apr 2013 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.6-0xenial) xenial; urgency=high

  * bugfix version bump.
  * refactored for ros code style format.
  * bugfix bad array size check, closes #35 <https://github.com/rosjava/zeroconf_jmdns_suite/issues/35>.
  * rosinstaller, use https, not git.
  * updated fuerte rosinstaller.
  * zeroconf: updated the rosinstaller for fuerte.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 17 Jul 2012 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.5-0xenial) xenial; urgency=high

  * updated rosdeps for rosdep2.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 24 May 2012 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.4-0xenial) xenial; urgency=high

  * Adjusting cmakelists for release into fuerte.
  * hoping to avert compilation of jmdns. Probably should divert to a separate stack.
  * new rosdeps.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 12 Apr 2012 03:00:00 -0000

ros-kinetic-zeroconf-jmdns-suite (0.1.3-0xenial) xenial; urgency=high

  * jmdns : better getInstance call.
  * jmdns: hack new jmmdns getInstance to always create, hack to trigger serviceRemoved callbacks on network down.
  * jmdns_demos : forgot to add the publisher class.
  * zeroconf_jmdns : added display names to the network interface logging.
  * jmdns : put default listener before the listener instantiation (sometimes add services will come in before it gets set otherwise).
  * zeroconf_jmdns : default listener to default discovery callback.
  * zeroconf_jmdns : now hiding all service_info api.
  * zeroconf_implementations : fix mediawiki formatting.
  * zeroconf_avahi : fix code after update to zeroconf_comms ip4/ipv6 upgrade.
  * zeroconf_jmdns: ros api utility toString function.
  * zeroconf: split the ros api to include both ipv4 and ipv6, the jmdns is now working with that, but jmdns needs further updates to convert fully over to the ros comms representations.
  * zeroconf_jmdns : now working rather more nicely, less multi interface confusion, but going to have to update everything else.
  * this will break everything (new comms), but jmdns is looking better.
  * zeroconf_jmdns_demos : better output.
  * zeroconf_jmdns_demos : minor demo program refactoring.
  * zeroconf_implementations : make sure we get resolving happening if a new service is found.
  * zeroconf_jmdns_demos : master browser running, but strange resolving behaviour seen by jmdns.
  * zeroconf_jmdns : added a default listener callback and api.
  * zeroconf_jmdns : listeners with userland callback handlers.
  * zeroconf_jmdns : user listener callbacks.
  * zeroconf_jmdns : toString support for the demo.
  * zeroconf_implementations : loggers so I can delete duplicating code in jmdns and android_jmdns
  * zeroconf_jmdns : comment some debug spam.
  * zeroconf_jmdns: simplify dependencies.
  * zeroconf_implementations: forgot to update the build to the standard ros template.
  * zeroconf_implementations : upgrade jmdns build method, fix android in rosinstalls.
  * zeroconf_implementations : finalise the zeroconf_overlay.rosinstall.


=== debian/control ===
Source: ros-kinetic-zeroconf-jmdns-suite
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-rosjava-bootstrap, ros-kinetic-rosjava-build-tools
Homepage: http://ros.org/wiki/zeroconf_jmdns_suite
Standards-Version: 3.9.2

Package: ros-kinetic-zeroconf-jmdns-suite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-rosjava-bootstrap, ros-kinetic-rosjava-build-tools
Description: An implementation of zeroconf in pure java.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-zeroconf-jmdns-suite//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
